<div class="filter-boxes">
  <div ng-if="boxes.length === 0" class="filter-box">
    <table>
      <tr>
        <td>No filters</td>
      </tr>
      <tr>
        <td>
          <button class="btn btn-xs btn-success clone-filters" type="button" ng-click="toggleFilterCloneMode()"
                  ng-show="cloneButtonVisible" uib-tooltip="Clone filters of another dataset tab." tooltip-placement="right">
            Clone
            <i class="fa fa-fw fa-clone" ng-show="!filterCloneModeOn"></i>
            <i class="fa fa-fw fa-ban" ng-show="filterCloneModeOn"></i>
          </button>
        </td>
      </tr>
    </table>
  </div>
  <div ng-repeat="box in boxes track by box.id" class="filter-box" ng-class="{'disabled': !box.enabled}" ng-style="{'opacity': box.opacity}">
    <div>
      <div>
        <i class="fa fa-filter"></i>
      </div>
      <div class="toggle no-text-select"
           uib-tooltip="Enable or disable this filter." tooltip-placement="right">
        <i class="fa" ng-class="{'fa-toggle-on': box.enabled,'fa-toggle-off': !box.enabled}"
           ng-mousedown="box.toggle(); generateQueryString()"></i>
      </div>
    </div>
    <div class="content">
      <div class="header" ng-if="box.label !== ''">
        {{::box.label}}
      </div>
      <div class="entries" ng-mousedown="editBox(box)">
        <div ng-repeat="filter in box.filters" class="field">
          <span class="operator" ng-if="box.filters.length > 1" ng-class="{'no-opacity no-text-select': $first}">{{::box.operator}}</span>&nbsp;
          <span class="field-name">{{getFieldLabel(filter.field)}}</span>&nbsp;<span class="field-comparison-operator">is&nbsp;{{filter.comparisonOperator}}</span>&nbsp;
          <span ng-if="filter.comparisonOperator !== 'in range' && filter.comparisonOperator !== 'present' && filter.comparisonOperator !== 'absent'" class="field-value">{{shorten(filter.value.single)}}</span>
          <span ng-if="filter.comparisonOperator === 'in range' && filter.comparisonOperator !== 'present' && filter.comparisonOperator !== 'absent'" class="field-value">
            {{filter.value.from}} to {{filter.value.to}}
          </span>
        </div>
      </div>
    </div>
    <div>
      <div class="remove"
           uib-tooltip="Delete this filter." tooltip-placement="right">
        <i class="fa fa-lg fa-times" role="button" ng-mousedown="removeBox(box)"></i>
      </div>
      <div class="edit"
           uib-tooltip="Edit this filter." tooltip-placement="right">
        <i class="fa fa-lg fa-pencil" role="button" ng-mousedown="editBox(box)"></i>
      </div>
    </div>
  </div>
  <filter-box-editor dataset="dataset"></filter-box-editor>
</div>